> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get openapiv1productsinventoryexpirationdates



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/Products/inventoryExpirationDates
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Products/inventoryExpirationDates:
    get:
      tags:
        - Products
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/GetInventoryExpirationDatesQueryOutputDTODynamicQueryOutputDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetInventoryExpirationDatesQueryOutputDTODynamicQueryOutputDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/GetInventoryExpirationDatesQueryOutputDTODynamicQueryOutputDTO
components:
  schemas:
    GetInventoryExpirationDatesQueryOutputDTODynamicQueryOutputDTO:
      required:
        - count
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetInventoryExpirationDatesQueryOutputDTO'
        count:
          type: integer
          format: int32
      additionalProperties: false
    GetInventoryExpirationDatesQueryOutputDTO:
      type: object
      properties:
        sku:
          type: string
        barcodes:
          type: array
          items:
            type: string
        imageUrl:
          type: string
        name:
          type: string
        expirationDate:
          type: string
          format: date-time
        amount:
          type: integer
          format: int32
        inventoryItemType:
          $ref: '#/components/schemas/InventoryItemType'
      additionalProperties: false
    InventoryItemType:
      enum:
        - StockItem
        - DamagedItem
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````